消息关闭
    暂无新消息!

eclipse的hadoop插件编译出错

问题作者 : 蔫小虎2017-06-05发布
eclipse版本为:Kepler Service Release 2
hadoop版本为:hadoop-2.0.0-cdh4.2.1
本机操作系统为WIN7(32位)
编译hadoop插件时出现以下错误:
Buildfile: D:\TDDOWNLOAD\mr1-2.0.0-mr1-cdh4.2.1\hadoop-2.0.0-mr1-cdh4.2.1\src\co
ntrib\eclipse-plugin\build.xml

check-contrib:

init:
     [echo] contrib: eclipse-plugin

init-contrib:

ivy-download:
      [get] Getting: http://repo2.maven.org/maven2/org/apache/ivy/ivy/2.2.0/ivy-
2.2.0.jar
      [get] To: D:\TDDOWNLOAD\mr1-2.0.0-mr1-cdh4.2.1\hadoop-2.0.0-mr1-cdh4.2.1\i
vy\ivy-2.2.0.jar
      [get] Not modified - so not downloaded

ivy-probe-antlib:

ivy-init-antlib:

ivy-init:
[ivy:configure] :: Ivy 2.2.0 - 20100923230623 :: http://ant.apache.org/ivy/ ::
[ivy:configure] :: loading settings :: file = D:\TDDOWNLOAD\mr1-2.0.0-mr1-cdh4.2
.1\hadoop-2.0.0-mr1-cdh4.2.1\ivy\ivysettings.xml

ivy-resolve-common:
[ivy:resolve] :: resolving dependencies :: org.apache.hadoop#eclipse-plugin;work
ing@thinkpad-longki
[ivy:resolve]   confs: [common]
[ivy:resolve] :: resolution report :: resolve 17079ms :: artifacts dl 1ms
        ---------------------------------------------------------------------
        |                  |            modules            ||   artifacts   |
        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|
        ---------------------------------------------------------------------
        |      common      |   2   |   0   |   0   |   0   ||   0   |   0   |
        ---------------------------------------------------------------------
[ivy:resolve]
[ivy:resolve] :: problems summary ::
[ivy:resolve] :::: WARNINGS
[ivy:resolve]           ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]           ::          UNRESOLVED DEPENDENCIES         ::
[ivy:resolve]           ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]           :: commons-logging#commons-logging;1.1.1: several proble
ms occurred while resolving dependency: commons-logging#commons-logging;1.1.1 {c
ommon=[default]}:
[ivy:resolve]   reactor-repo: unable to get resource for commons-logging#commons
-logging;1.1.1: res=${reactor.repo}/commons-logging/commons-logging/1.1.1/common
s-logging-1.1.1.pom: java.net.MalformedURLException: no protocol: ${reactor.repo
}/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.pom
[ivy:resolve]   several problems occurred while resolving dependency: org.apache
.commons#commons-parent;5 {}:
[ivy:resolve]   reactor-repo: unable to get resource for org/apache/commons#comm
ons-parent;5: res=${reactor.repo}/org/apache/commons/commons-parent/5/commons-pa
rent-5.pom: java.net.MalformedURLException: no protocol: ${reactor.repo}/org/apa
che/commons/commons-parent/5/commons-parent-5.pom
[ivy:resolve]   several problems occurred while resolving dependency: org.apache
#apache;4 {}:
[ivy:resolve]   reactor-repo: unable to get resource for org/apache#apache;4: re
s=${reactor.repo}/org/apache/apache/4/apache-4.pom: java.net.MalformedURLExcepti
on: no protocol: ${reactor.repo}/org/apache/apache/4/apache-4.pom
[ivy:resolve]   reactor-repo: unable to get resource for org/apache#apache;4: re
s=${reactor.repo}/org/apache/apache/4/apache-4.jar: java.net.MalformedURLExcepti
on: no protocol: ${reactor.repo}/org/apache/apache/4/apache-4.jar
[ivy:resolve]           :: log4j#log4j;1.2.16: several problems occurred while r
esolving dependency: log4j#log4j;1.2.16 {common=[master]}:
[ivy:resolve]   reactor-repo: unable to get resource for log4j#log4j;1.2.16: res
=${reactor.repo}/log4j/log4j/1.2.16/log4j-1.2.16.pom: java.net.MalformedURLExcep
tion: no protocol: ${reactor.repo}/log4j/log4j/1.2.16/log4j-1.2.16.pom
[ivy:resolve]   reactor-repo: unable to get resource for log4j#log4j;1.2.16: res
=${reactor.repo}/log4j/log4j/1.2.16/log4j-1.2.16.jar: java.net.MalformedURLExcep
tion: no protocol: ${reactor.repo}/log4j/log4j/1.2.16/log4j-1.2.16.jar
[ivy:resolve]           ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]
[ivy:resolve]
[ivy:resolve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

BUILD FAILED
D:\TDDOWNLOAD\mr1-2.0.0-mr1-cdh4.2.1\hadoop-2.0.0-mr1-cdh4.2.1\src\contrib\build
-contrib.xml:444: impossible to resolve dependencies:
        resolve failed - see output for details

Total time: 21 seconds
请各位大侠指点呀或给个HADOOP的插件吧。

6个回答

︿ 2
这个下了,拷到plugins目录下,重启ECLIPSE,还是不能用此插件,没有看到"DFS Locations"各位大侠求解呀
︿ 0
已编译成功了,启动ECLIPSE后,在左侧"ProjectExplorer"下面没有发现"DFS Locations"。那位大侠能提供一下hadoop2.2.0的插件。
︿ 0
hadoop2.2.0的插件已试过了,在eclipse-jee-indigo、eclipse-jee-kepler-SR2
这两个版本中都不能用。